processing.app.syntax

## Class PdeInputHandler

- Object
- - KeyAdapter
  - - InputHandler
    - - DefaultInputHandler
      - - PdeInputHandler

- All Implemented Interfaces:
    KeyListener, EventListener

      public class PdeInputHandler
      extends DefaultInputHandler

  Sets key bindings used by the PDE, except for those that are Mode-specific. Not part of the original jeditsyntax DefaultInputHandler because it makes use of Preferences and other PDE classes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class InputHandler

      `InputHandler.backspace, InputHandler.backspace_word, InputHandler.clipboard_copy, InputHandler.clipboard_cut, InputHandler.clipboard_paste, InputHandler.delete, InputHandler.delete_word, InputHandler.document_end, InputHandler.document_home, InputHandler.end, InputHandler.home, InputHandler.insert_break, InputHandler.insert_char, InputHandler.insert_tab, InputHandler.MacroRecorder, InputHandler.next_char, InputHandler.next_line, InputHandler.next_page, InputHandler.next_word, InputHandler.NonRecordable, InputHandler.NonRepeatable, InputHandler.overwrite, InputHandler.prev_char, InputHandler.prev_line, InputHandler.prev_page, InputHandler.prev_word, InputHandler.repeat, InputHandler.toggle_rect, InputHandler.Wrapper`

  - ### Field Summary

    - ### Fields inherited from class InputHandler

      `BACKSPACE, BACKSPACE_WORD, CLIPBOARD_COPY, CLIPBOARD_CUT, CLIPBOARD_PASTE, CONTEXT_AWARE_HOME_END, DELETE, DELETE_WORD, DOCUMENT_END, DOCUMENT_HOME, END, HOME, INSERT_BREAK, INSERT_CHAR, INSERT_TAB, NEXT_CHAR, NEXT_LINE, NEXT_PAGE, NEXT_WORD, OVERWRITE, PREV_CHAR, PREV_LINE, PREV_PAGE, PREV_WORD, REPEAT, SELECT_DOC_END, SELECT_DOC_HOME, SELECT_END, SELECT_HOME, SELECT_NEXT_CHAR, SELECT_NEXT_LINE, SELECT_NEXT_PAGE, SELECT_NEXT_WORD, SELECT_PREV_CHAR, SELECT_PREV_LINE, SELECT_PREV_PAGE, SELECT_PREV_WORD, SMART_HOME_END_PROPERTY, TOGGLE_RECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdeInputHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handlePressed(KeyEvent event)` Override this function in your InputHandler to do any gymnastics.
    `boolean` | `handleTyped(KeyEvent event)` Override this instead of keyPressed/keyTyped
    `void` | `keyPressed(KeyEvent event)` Handle a key pressed event.
    `void` | `keyTyped(KeyEvent event)` Handle a key typed event.

    - ### Methods inherited from class DefaultInputHandler

      `addDefaultKeyBindings, addKeyBinding, copy, parseKeyStroke, removeAllKeyBindings, removeKeyBinding`

    - ### Methods inherited from class InputHandler

      `executeAction, findWordEnd, findWordStart, getAction, getActionName, getActions, getMacroRecorder, getRepeatCount, getTextArea, grabNextKeyStroke, isRepeatEnabled, setMacroRecorder, setRepeatCount, setRepeatEnabled`

    - ### Methods inherited from class KeyAdapter

      `keyReleased`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdeInputHandler

          public PdeInputHandler()

  - ### Method Detail

    - #### keyPressed

          public void keyPressed(KeyEvent event)

      Description copied from class: `DefaultInputHandler`
      Handle a key pressed event. This will look up the binding for the key stroke and execute it.
      Specified by:
        `keyPressed` in interface `KeyListener`
      Overrides:
        `keyPressed` in class `DefaultInputHandler`

    - #### keyTyped

          public void keyTyped(KeyEvent event)

      Description copied from class: `DefaultInputHandler`
      Handle a key typed event. This inserts the key into the text area.
      Specified by:
        `keyTyped` in interface `KeyListener`
      Overrides:
        `keyTyped` in class `DefaultInputHandler`

    - #### handlePressed

          public boolean handlePressed(KeyEvent event)

      Override this function in your InputHandler to do any gymnastics.
      Returns:
        true if key has been handled (no further handling should be done)

    - #### handleTyped

          public boolean handleTyped(KeyEvent event)

      Override this instead of keyPressed/keyTyped
      Returns:
        true if key has been handled (no further handling should be done)